"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.create = void 0;
const createCandyGuard_1 = require("./createCandyGuard");
const createCandyMachine_1 = require("./createCandyMachine");
const generated_1 = require("./generated");
const hooked_1 = require("./hooked");
const create = async (context, input) => {
    const { guards, groups, ...rest } = input;
    const candyGuard = (0, hooked_1.findCandyGuardPda)(context, {
        base: input.candyMachine.publicKey,
    });
    return [
        ...(await (0, createCandyMachine_1.createCandyMachine)(context, rest)),
        (0, createCandyGuard_1.createCandyGuard)(context, { base: input.candyMachine, guards, groups }),
        (0, generated_1.wrap)(context, { candyGuard, candyMachine: input.candyMachine.publicKey }),
    ];
};
exports.create = create;
//# sourceMappingURL=create.js.map